# TdApi.ChatMemberStatusCreator (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatMemberStatusCreator

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatusCreator

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus
it.tdlight.jni.TdApi.ChatMemberStatusCreator

Enclosing class:
  TdApi

public static final class TdApi.ChatMemberStatusCreator extends TdApi.ChatMemberStatus
The user is the owner of the chat and has all the administrator privileges.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`customTitle`
A custom title of the owner; 0-16 characters without emojis; applicable to supergroups only.
`boolean`
`isAnonymous`
True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.
`boolean`
`isMember`
True, if the user is a member of the chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatusCreator()`
The user is the owner of the chat and has all the administrator privileges.
`ChatMemberStatusCreator(DataInput input)`
The user is the owner of the chat and has all the administrator privileges.
`ChatMemberStatusCreator(String customTitle, boolean isAnonymous, boolean isMember)`
The user is the owner of the chat and has all the administrator privileges.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### customTitle

public String customTitle
A custom title of the owner; 0-16 characters without emojis; applicable to supergroups only.

### isAnonymous

public boolean isAnonymous
True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

### isMember

public boolean isMember
True, if the user is a member of the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatMemberStatusCreator

public ChatMemberStatusCreator()
The user is the owner of the chat and has all the administrator privileges.

### ChatMemberStatusCreator

public ChatMemberStatusCreator(String customTitle, boolean isAnonymous, boolean isMember)
The user is the owner of the chat and has all the administrator privileges.

Parameters:
  `customTitle` - String A custom title of the owner; 0-16 characters without emojis; applicable to supergroups only.
  `isAnonymous` - boolean True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.
  `isMember` - boolean True, if the user is a member of the chat.

### ChatMemberStatusCreator

public ChatMemberStatusCreator(DataInput input) throws IOException
The user is the owner of the chat and has all the administrator privileges.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`